Create Offer
POST
/offersAuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/offers" \ -H "Content-Type: application/json" \ -d '{ "product": "string", "name": "string", "items": [ { "role": "main", "plan": "string", "price": "string" } ] }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "livemode": true, "reference": "string", "name": "string", "status": "draft", "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "main", "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "plan_id": "00713021-9aea-41da-9a88-87760c08fa72", "price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c", "position": 0, "price_options": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c", "label": "string", "is_default": true, "position": 0 } ] } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}